Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: Is it possible to retrieve and run "qucs" from 15.2 repos on leap 15.3

  1. #1
    Join Date
    Apr 2011
    Location
    Texas USA
    Posts
    500

    Default Is it possible to retrieve and run "qucs" from 15.2 repos on leap 15.3

    qucs is a somewhat old but very good electrical circuit simulator. It was available in leap 15.2. In trying to retrieve the package from 15.2 repo software opensuse.org with yast-one-click, That fails and says "no instructions to install for 15.3".

    Is there a way around this?

    Another issue is that when I try to compile qucs from current sources, configuration fails as it wishes old qt4 and won't compile since qt5 is on leap 15.3. I don't want to revert qt from qt5 back to qt4 because of all the possible breakages that could occur elsewhere. Perhaps two versions of qt can coexist but I don't know.

    So, if I can retrieve qucs from 15.2, i am not even sure it will run. Perhaps that is why it never made the leap 15.3 science or electronic repos.

    The qucs people are working to upgrade to qt5 but that appears to not be finished for a long time.

    Any thoughts, ideas? thanks, tom kosvic

  2. #2
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    7,219

    Default AW: Is it possible to retrieve and run "qucs" from 15.2 repos on leap 15.3

    I will build it and post the Repo Url. Its only a seperate Repo for QT4 using packages.

    You need to add the Repo because of QT4

  3. #3
    Join Date
    Apr 2011
    Location
    Texas USA
    Posts
    500

    Default Re: Is it possible to retrieve and run "qucs" from 15.2 repos on leap 15.3

    thanks for your efforts. Will this mod allow access to the qucs previous 15.2 build or will it allow me to compile source employing qt4?

    Would you post the steps you are taking so me or someone else could benefit as to how to do this?

  4. #4
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    7,219

    Default AW: Is it possible to retrieve and run "qucs" from 15.2 repos on leap 15.3

    Add my Repo as root:
    Code:
    zypper ar -f https://download.opensuse.org/repositories/home:/Sauerland:/qt4/15.3/ QT4
    Install it as root:
    Code:
    zypper in qucs qucs-lang

  5. #5
    Join Date
    Apr 2011
    Location
    Texas USA
    Posts
    500

    Default Re: Is it possible to retrieve and run "qucs" from 15.2 repos on leap 15.3

    Installation went fine. qucs won't run though. Message below:

    HTML Code:
    tom@localhost:~> qucs
    Fatal: QPixmap: Must construct a QApplication before a QPaintDevice
    Aborted (core dumped)
    tom@localhost:~> 

  6. #6
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    7,219

    Default AW: Is it possible to retrieve and run "qucs" from 15.2 repos on leap 15.3

    Yes, I have seen it by myself........

    Working on another one.....

  7. #7
    Join Date
    Apr 2011
    Location
    Texas USA
    Posts
    500

    Default Re: Is it possible to retrieve and run "qucs" from 15.2 repos on leap 15.3

    I looked at files that were installed in install history in yast. Do you think compilation might find qt4 and is worth a shot? Guess I will try

    Will use code brackets


    tom kosvic

  8. #8
    Join Date
    Apr 2011
    Location
    Texas USA
    Posts
    500

    Default Re: Is it possible to retrieve and run "qucs" from 15.2 repos on leap 15.3

    no cigar. From source code, qucs configure still didn't find qt4 that it was looking for. configure errored out.

  9. #9
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    7,219

    Default AW: Is it possible to retrieve and run "qucs" from 15.2 repos on leap 15.3

    So, it is starting.
    I have build the qt4 new so you have to:
    Goto Yast---Install software----change to my QT Repo----delete all packages from that Repo.

    After that, install qucs, qucs-lang and libqucs0 once more.

    It will start, but its not properly translated.

  10. #10
    Join Date
    Apr 2011
    Location
    Texas USA
    Posts
    500

    Default Re: Is it possible to retrieve and run "qucs" from 15.2 repos on leap 15.3

    Your new instructions and files got the qucs gui fired up. I put in a resistor and that worked. I'll try a few sample cases to check functionality. That will take a while.

    Thanks for the effort. It looks successful.

    I had embarked on trying to install a windows version and run qucs with wine, But, all I could find was a windows mobile version of qucs so I was going to try to get that going. Who would want to run an elaborate gui on a telephone (if that is what windows mobile is) is beyond me.

    thanks again. Could qucs be packaged into the science or electronics repos for all as it used to be? or else, maybe some instructions other than the forum thread? I'll volunteer to write them up.

    tom kosvic

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •